seo:
  title: GitLab Inc. takes The DevOps Platform public
  description: Today is the day GitLab Inc. takes The DevOps Platform public.
  ogTitle: GitLab Inc. takes The DevOps Platform public
  ogDescription: Today is the day GitLab Inc. takes The DevOps Platform public.
  noIndex: false
  ogImage: images/blog/hero-images/logoforblogpost.jpg
  ogUrl: https://about.gitlab.com/blog/gitlab-inc-takes-the-devops-platform-public
  ogSiteName: https://about.gitlab.com
  ogType: article
  canonicalUrls: https://about.gitlab.com/blog/gitlab-inc-takes-the-devops-platform-public
  schema: |2-

                            {
            "@context": "https://schema.org",
            "@type": "Article",
            "headline": "GitLab Inc. takes The DevOps Platform public",
            "author": [{"@type":"Person","name":"Sid Sijbrandij"}],
            "datePublished": "2021-10-14",
          }

content:
  title: GitLab Inc. takes The DevOps Platform public
  description: Today is the day GitLab Inc. takes The DevOps Platform public.
  authors:
    - Sid Sijbrandij
  heroImage: images/blog/hero-images/logoforblogpost.jpg
  date: '2021-10-14'
  body: >

    Today, GitLab Inc. announced the next milestone in our journey as we become
    a publicly traded company on the Nasdaq Global Market (NASDAQ: GTLB). GitLab
    was the first company to publicly live stream the entire end-to-end listing
    day at Nasdaq. 


    In a world where software defines the speed of innovation, every company
    must become a software company or they’ll be disrupted by a software
    company. We believe that GitLab, the DevOps Platform, helps companies to
    deliver software faster and more efficiently, while strengthening security
    and compliance. And it all happens inside our single platform where
    engineering, security, and operations teams can collaborate together. 


    In my [Founder’s Letter](#foundersletter), which you can read below, I told
    GitLab’s origin story. GitLab did not start in a tech incubator, garage, or
    Bay Area apartment. In 2011, my co-founder, Dmitriy Zaporozhets, created
    GitLab from his house in Ukraine. In 2012, I discovered GitLab from my home
    in the Netherlands on a tech news site. I thought that it was natural that a
    collaboration tool for developers was open source so people could contribute
    to it. As a Ruby developer, I was impressed by GitLab’s code quality,
    especially since it absorbed more than 300 contributions in the first year.
    In 2013, Dmitriy tweeted that he would like to work on GitLab full-time.
    After reading that tweet, I approached him, and we partnered so he could
    work on GitLab full-time. We incorporated GitLab Inc. in 2014 and applied to
    Y Combinator, a technology accelerator in Silicon Valley. In 2015, we
    participated in their program, and this greatly accelerated our business.


    To ensure the quality of the GitLab application, Dmitriy built a second
    application, GitLab CI, to automatically test our code. In 2015, Kamil
    Trzciński, a member of the wider community, contributed a better version of
    the GitLab CI application so that it could run jobs in parallel. Dmitriy and
    I quickly made this new Runner the default version, and Kamil ended up
    joining the company. Kamil proposed integrating the two applications, which
    Dimitriy and I initially disagreed with. Thankfully, Kamil persisted in
    arguing for combining GitLab and GitLab CI into a single application.
    Dmitriy and I came around to Kamil’s point of view and the results were far
    better than anyone expected. The single application was easier to
    understand, faster to use, and enabled collaboration across functions. We
    had invented what we believed to be the first true DevOps platform and
    proceeded to build it out. 


    Today, we believe that GitLab is the leading DevOps platform with an
    estimated 30 million registered users. GitLab's mission is to ensure that
    everyone can contribute. When everyone can contribute, users become
    contributors, and we greatly increase the rate of innovation. 


    “GitLab also has more than 2,600 contributors in its open source community,
    which it lists as a competitive strength” - Stephanie Condon, ZDNet*


    We are making progress toward our mission by elevating others through
    knowledge sharing, job access, and our software platform.


    GitLab’s values and underlying operational principles are core to our past,
    present, and future success. Most companies regress to the mean and slow
    down over time. We plan to maintain our startup ethos by continuing to do
    the following:


    - Reinforcing our values

    - Making quick, informed decisions

    - Designating a directly responsible individual (DRI) to own decision making
    for a workstream or initiative

    - Organizing informal communications

    - Challenging conventions and using boring solutions

    - Having a bias for action

    - Remembering we are an organization, not a family

    - Having time based releases

    - Supporting individual innovation through coaches and incubation

    - Dogfooding


    We believe our approach has an impact on not only our business, but the
    industry as a whole. And we are not the only ones. 


    “There are few companies that have had as positive an impact on the culture
    of an industry as @gitlab has.” - James Wise, Partner, Balderton on Twitter


    From day 1, we have co-created with the wider GitLab community, and together
    we have advanced the DevOps Platform. I am excited to keep building to make
    GitLab’s “everyone can contribute” mission a reality.


    ## <a name="foundersletter"></a> Founder’s Letter from the GitLab S-1


    ## Letter From Our CEO


    **Origins**


    GitLab did not start in a tech incubator, garage, or Bay Area apartment. In
    2011, my co-founder, Dmitriy Zaporozhets, created GitLab from his house in
    Ukraine. 


    In 2012, I discovered GitLab from my home in the Netherlands on a tech news
    site. I thought that it was natural that a collaboration tool for developers
    was open source so people could contribute to it. As a Ruby developer, I was
    impressed by GitLab’s code quality, especially since it absorbed more than
    300 contributions in the first year. In 2013, Dmitriy tweeted that he would
    like to work on GitLab full-time. After reading that tweet, I approached
    him, and we partnered so he could work on GitLab full-time. We incorporated
    GitLab in 2014 and applied to Y Combinator, a technology accelerator in
    Silicon Valley. In 2015, we participated in their program, and this greatly
    accelerated our business.


    **DevOps Platform**


    To ensure the quality of the GitLab application, Dmitriy built a second
    application, GitLab CI, to automatically test our code. In 2015, Kamil
    Trzciński, a member of the wider community, contributed a better version of
    the GitLab CI application so that it could run jobs in parallel. Dmitriy and
    I quickly made this new Runner the default version, and Kamil ended up
    joining the company.


    When Kamil proposed integrating the two applications, Dimitriy and I
    initially disagreed with him. Dmitriy felt that the applications were
    already integrated as well as two separate applications could be. And I
    believed that customers wanted to mix and match solutions. Thankfully, Kamil
    persisted in arguing for combining GitLab and GitLab CI into a single
    application. Dmitriy and I came around to Kamil’s point of view once we
    realized that combining the two applications would lead to greater
    efficiency for our team members and our users.


    The results were far better than anyone expected. A single application was
    easier to understand, faster to use, and enabled collaboration across
    functions. We had invented what we believed to be the first true DevOps
    platform and proceeded to build it out. Kamil’s advocacy inspired GitLab’s
    “disagree, commit, and disagree'' sub-value. We allow GitLab team members to
    question decisions even after they are made. However, team members are
    required to achieve results on every decision while it stands, even while
    they are trying to have it changed.


    **Mission**


    GitLab's mission is to ensure that everyone can contribute. When everyone
    can contribute, users become contributors, and we greatly increase the rate
    of innovation. We are making progress toward our mission by elevating others
    through knowledge sharing, job access, and our software platform. We promote
    knowledge sharing through publishing how we operate in our handbook, an
    online repository of how we run the company that now totals more than 2,000
    webpages. The lessons we have learned and put in the handbook are available
    to anyone with an internet connection. We contribute to job access by
    helping people with their tech careers and educating the world on remote
    work best practices. We believe that remote work is spreading job access
    more evenly across regions and countries. Our software platform brings
    together development, operations, and security professionals and makes it
    faster and more secure for them to innovate together.


    **Stewardship**


    Most of the time, when a company starts commercializing an open source
    software project, the wider community around the project shrinks. This has
    not been the case with GitLab. The wider community around GitLab is still
    growing. We are proud that GitLab is a co-creation of GitLab team members
    and users. We have ten stewardship promises that commit us to balancing the
    need to generate revenue with the needs of the open source project and the
    wider community. In our first year, we received just over 300 code
    contributions. Now, we frequently exceed this number in a single month.


    **Values**


    From the beginning of GitLab, we have been all-remote as the initial team
    members lived in the Netherlands, Ukraine, and Serbia. GitLab was founded
    before remote work was a proven model, so investors were worried about our
    ability to effectively manage the business and scale. That early skepticism
    required us to establish explicit mechanisms for value reinforcement. We now
    have over 20 mechanisms listed in our handbook. Some reinforcements are
    small. For example, team members have access to a Zoom background that
    showcases each of our values as icons. Others are more substantial. For
    example, every team member’s promotion document is structured around our
    values and shared with the entire company.


    GitLab’s values and underlying operational principles are core to our past,
    present, and future success. These values are:


    1. Results - This is the most important value in our values hierarchy as
    strong results enable us to keep doing the right things. If we have strong
    business momentum, we can continue to invest toward our ambitious, long-term
    mission. We care about what is achieved, not the hours worked. Since you get
    what you measure and reward, we do not encourage long hours and instead
    focus on results. For example, to discourage team members from focusing on
    hours worked, team members are discouraged from publicly thanking others for
    working long hours or late nights. This is intended to prevent pressure to
    work longer hours or highlighting longer hours as something that is
    rewarded.

    2. Collaboration - Team members must work effectively with others to achieve
    results. To encourage collaboration, we have about four group conversations
    per week. These are meetings in which departments at GitLab share their
    results with team members throughout the company. Group conversations enable
    all team members to understand and question every part of the business. This
    access to information and context supports collaboration.

    3. Efficiency - Working efficiently enables us to make fast progress, which
    makes work more fulfilling. For example, we only hold meetings when topics
    need to be discussed synchronously. When we do have a meeting, we share the
    discussion topics, the slide deck, and sometimes a recording of someone
    presenting the slide deck beforehand. This way we can dedicate the
    synchronous time of the meeting to discussion, not team members presenting
    material. We also have speedy meetings that are short, start on time, and
    end at least five minutes before the next one begins. We encourage team
    members to work together in public chat channels as much as possible instead
    of through direct messages. This makes information readily available to
    anyone who is interested or may become interested at a future point.

    4. Diversity, Inclusion, and Belonging (DIB) - We believe that team member
    diversity leads to better decisions and a greater sense of team member
    belonging. We spend more money than the industry average per hire to ensure
    we approach a diverse set of candidates. We have a DIB Program which
    includes Team Member Resource Groups (TMRGs), voluntary, team member-led
    groups, focused on fostering DIB within GitLab. I'm proud of team member
    driven initiatives such as mentoring for an advanced software engineering
    course at Morehouse College, a historically Black liberal arts school. We
    also do Reverse Ask Me Anything, meetings in which I ask questions of Team
    Member Resource Groups and get to learn from their experiences. We try to
    work asynchronously as much as possible to not be dependent on time zone
    overlap. This enables us to hire and work with people around the world from
    different cultures and backgrounds.

    5. Iteration - By reducing the scope of deliverables, we are able to
    complete them earlier and get faster feedback. Faster feedback gives us
    valuable information that guides what we do next. We measure and set targets
    for how many changes are expected from each engineering team. This
    encourages teams to reduce the scope of what they build and ship changes in
    smaller increments. We know that smaller changes are easier to review and
    less risky. The end result is that we are able to get more done as the
    higher frequency of changes more than compensates for the smaller size of
    them. We release features and categories even when they are minimally
    viable. We do not wait for perfection when we can offer something of value,
    get feedback, and allow others to contribute to features by refining and
    expanding upon them.

    6. Transparency - By making information public, we can reduce the threshold
    to contribute and make collaboration easier. In addition to our publicly
    shared handbook, we also livestream and share recordings of some of our
    meetings. I have CEO Shadows who attend all my GitLab meetings during a two
    week rotation. We are public about our strategy, risks, and product
    direction.


    These are living values that are updated over time. In 2020 alone, we made
    329 improvements to the GitLab Values page of our handbook.


    **Still a Startup**


    Most companies regress to the mean and slow down over time. We plan to
    maintain our startup ethos by doing the following:


    1. **Reinforcing our values**: We have more than 20 documented ways to
    reinforce GitLab’s values. Since hiring, bonuses, and promotions provide
    strong signals of what is valued and rewarded, we make values the lens
    through which we evaluate team member fit and advancement.

    2. **Quick and informed decisions**: We are able to combine the advantages
    of consensus organizations and hierarchical organizations by splitting
    decisions into two phases. In the data gathering phase, we employ the best
    of consensus organizations as we encourage people to contribute their ideas
    and opinions. In the decision phase, we benefit from the best of
    hierarchical organizations with one person, the directly responsible
    individual, deciding what to do without having to convince the people who
    made suggestions.

    3. **A directly responsible individual (DRI)**: A DRI is a single person who
    owns decision making authority and responsibility for the success of a given
    workstream or initiative. We avoid confusion and empower team members by
    being clear about the DRI. With a few documented exceptions, the person who
    does the work resulting from the decision gets to make the decision. DRIs
    tend to have the context required for good decision making and are empowered
    by their ability to use their own judgement in doing what is best for the
    business.

    4. **Organize informal communications**: Informal team member
    communications, such as a chat about life outside of work, are necessary for
    building trust. Trust is essential for great business results. Many
    businesses invest heavily in offices and facilities, because they believe
    offices are necessary for informal communication.


    During the pandemic, many businesses that were forced to work remotely
    discovered that productivity increased. Many of these same businesses are
    now making plans to return to the office. One reason being given for the
    return to the office is that not everyone can work from home. We solve this
    by allowing people to rent work space. The other main reason given is that
    people miss working from a central office with co-workers. I don’t think
    that people miss the commute or the office furniture. They miss informal
    communication. Central offices are a really expensive, inconvenient, and
    indirect way to facilitate information communication. It is more efficient
    to directly organize informal communication.


    For example, every person who joins GitLab has to schedule at least five
    coffee chats during their onboarding. We also have social calls, Ask Me
    Anything meetings with senior leaders, and 15 other explicit ways to
    encourage employee connections and relationship building. Intentionally
    organizing informal communication enables the trust-building conversations
    that are essential for collaboration. This can be more effective than
    relying on chance encounters in an office building. You can connect with
    team members throughout the world and across departments through a coffee
    chat. You may not meet people outside of your own floor in an office
    setting.


    5. **Challenge conventions**: We do not do things differently for the sake
    of being different, and we use boring solutions whenever possible. That
    said, we're also willing to deviate from conventions when it can benefit
    GitLab and the wider community. Before the COVID-19 pandemic, we believe
    GitLab was the largest all-remote company in the world. We now teach others
    how to succeed as remote companies and employees. We aim to be the most
    transparent company of our size. This transparency has had demonstrable
    benefits ranging from increased team member productivity to enhanced brand
    awareness. What some saw as a liability, we have shown to be a strength.

    6. **Bias for action**: Decisions should be thoughtful, but delivering fast
    results requires the fearless acceptance of occasionally making mistakes.
    Our bias for action may result in the occasional mistake, but it also allows
    us to course correct quickly. We keep the stakes low for mistakes for the
    sake of transparency. When people are comfortable communicating missteps,
    risk aversion and secrecy don’t become the norm.

    7. **Not a family**: Some companies talk about being a 'Family.' We don't
    think that is the right perspective. At GitLab, the relationship is not the
    end goal. The goal is results. We are clear about accountability and hold
    people to a clearly articulated standard. When people do not perform, we try
    to help them improve. If they still can’t meet expectations, we let them go.

    8. **Time based release**: We have introduced a new, enhanced version of our
    software on the 22nd of every month for over nine years. A time based
    release ensures that when a feature is ready, its release will not be held
    up by another that is not. Aligned with our value of iteration, we try to
    reduce the scope of each feature so that it fits in a single release.

    9. **Individual innovation**: We empower individuals to innovate. For
    example, we have designated coaches who support contributors from the wider
    community in getting their contributions to the point where they can be
    merged by GitLab. We also have an incubation department dedicated to quickly
    turning ideas into viable features and products.

    10. **Dogfooding**: The best way to quickly improve GitLab is to use it
    ourselves, or dogfood it, so that we have a quick feedback loop. We use our
    own product even when a feature is in its early stages of development. This
    helps us to develop empathy with users and better understand what to build
    next.


    ## Long-Term Focus


    More than 40 million software professionals are driving change through
    software, and this number is growing. These software professionals are
    rapidly adopting DevOps to accelerate this change. Gartner predicts that by
    2023, 40% of organizations will have switched from multiple point solutions
    to DevOps value stream delivery platforms to streamline application
    delivery, versus less than 10% in 2020. I believe that 40% is just the
    beginning, and almost all organizations will eventually use a DevOps
    Platform. GitLab has a unique opportunity to lead the DevOps Platform market
    and shape innovation.

    With a large addressable market, GitLab plans to optimize for long term
    growth--even if it comes at the expense of short-term profitability. This
    means that we may not make a profit for a long time as we need to weigh
    profitability against the clear opportunity to pursue larger, future
    returns.


    ## Closing


    With the wider GitLab community, we have created and advanced the DevOps
    Platform. I am excited to keep building to make GitLab’s “everyone can
    contribute” mission a reality. I look forward to welcoming investors who
    share our enthusiasm for collaboration and innovation.


    * 2,600 contributors as of July 31, 2021
  category: DevSecOps
  tags:
    - news
    - DevOps
config:
  slug: gitlab-inc-takes-the-devops-platform-public
  featured: false
  template: BlogPost
